/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  CLOCKCAL.C  - determines if a clock-calendar board is present   */

#include <conio.h>
#include <dos.h>
#include "cxldef.h"

#if      defined(M_I86) && !defined(__ZTC__)    /*  Microsoft C/QuickC  */
#define  disable()   _disable()
#define  enable()    _enable()
#define  inportb(a)  inp(a)
#elif    defined(__ZTC__)                       /*  Zortech C++  */
#include <int.h>
#define  disable()   int_off()
#define  enable()    int_on()
#define  inportb(a)  inp(a)
#endif

int clockcal(void)
{
    disable();
    if(inportb(0x0241)>99) {
        enable();
        return(NO);
    }
    else {
        enable();
        return(YES);
    }
}
