/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  DISKTOSC.C      - copies a previously saved disk file to screen          */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include <string.h>
#include "cxlvid.h"

#define SSIZE   (_vinfo.numrows*_vinfo.numcols)

int disktoscrn(char *fname)
{
    register int i,ccol;
    int crow,ch,chat;
    int far *p;
    FILE *fp;

    if(_vinfo.usebios) {
        crow=0;
        ccol=0;
    }
    else {

        /* calculate video RAM starting address */
        p=MK_FP(_vinfo.videoseg,0);
    }

    /* open input file as binary */
    fp=fopen(fname,"rb");                   
    if(!fp) return(1);

    /* copy input file to screen */
    for(i=0;i<SSIZE;i++) {
        if(_vinfo.usebios) {
            gotoxy_(crow,ccol);
            ch=fgetc(fp);
            putchat(ch,fgetc(fp));
            ccol++;
            if(ccol>=_vinfo.numcols) {
                crow++;
                ccol=0;
            }
        }
        else {
            ch=fgetc(fp);
            chat=ch|(fgetc(fp)<<8);
            if(_vinfo.cgasnow)
                cgawrword(p,chat);
            else
                *p=chat;
            p++;
        }
    }

    /* close input file and exit */
    fclose(fp);                             
    return(0);
}

