/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  DISKTOWI.C  - copies a previously saved window from disk to screen       */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include <string.h>
#include "cxlvid.h"

int disktowin(char *fname)
{
    register int crow,ccol;
    int srow,scol,erow,ecol,incr;
    unsigned char ch,ch2;
    char far *p;
    FILE *fp;

    /* open input file as binary */
    fp=fopen(fname,"rb");                   
    if(!fp) return(1);

    /* read window coordinates from input file */
    srow=fgetc(fp);
    scol=fgetc(fp);
    erow=fgetc(fp);
    ecol=fgetc(fp);

    /* copy input file to screen */
    if(!_vinfo.usebios) p=MK_FP(_vinfo.videoseg,(srow*_vinfo.numcols+scol)*2);
    incr=(_vinfo.numcols-ecol+scol-1)*2;
    for(crow=srow;crow<=erow;crow++) {
        for(ccol=scol;ccol<=ecol;ccol++) {
            if(_vinfo.usebios) {
                gotoxy_(crow,ccol);
                ch=fgetc(fp);
                putchat(ch,fgetc(fp));
            }
            else {
                ch=fgetc(fp);
                ch2=fgetc(fp);
                if(_vinfo.cgasnow) {
                    cgawrbyte(p++,ch);
                    cgawrbyte(p,ch2);
                }
                else {
                    *p++=ch;
                    *p=ch2;
                }
                p++;
            }
            if(feof(fp)) {
                fclose(fp);
                return(4);
            }
        }
        p=p+incr;
    }

    /* close input file and exit */
    fclose(fp);                             
    return(0);
}

