/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EMSALLOC.C  - allocates pages of EMS memory */

#include <dos.h>
#include "cxlems.h"

int emsalloc(int numpages)
{
    union REGS regs;

    regs.x.bx=numpages;
    regs.h.ah=0x43;                           /* allocate EMS pages */
    int86(0x67,&regs,&regs);
    if(regs.h.ah) return(-1);                 /* check for EMM error */
    return(regs.x.dx);                        /* return EMM handle */
}
