/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EMSEXIST.C  - determines if the EMM device driver is loaded */

#include <dos.h>
#include <string.h>
#include "cxldef.h"
#include "cxlems.h"

static char *driver="EMMXXXX0";

int emsexist(void)
{
    register int i,match=YES;
    char far *p;
    union REGS regs;
    struct SREGS sregs;

    regs.x.ax=0x3567;                   /* get EMS interrupt vector */
    int86x(0x21,&regs,&regs,&sregs);
    p=MK_FP(sregs.es,10);               /* point to EMM driver ID */
    for(i=0;i<8;i++) {                  /* test for valid driver name */
        if(p[i]!=driver[i]) {
            match=NO;
            break;
        }
    }
    return(match);
}
