/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EMSVER.C    - returns the EMS version in a text string  */

#include <dos.h>
#include "cxldef.h"
#include "cxlems.h"

char *emsver(void)
{
    static char *version="\0.\0\0";
    union REGS regs;
    unsigned char ver;

    regs.h.ah=0x46;                           /* get EMS version */
    int86(0x67,&regs,&regs);
    if(regs.h.ah) return(NULL);               /* check for EMM error */
    ver=regs.h.al;
    version[0]=(ver>>4)+0x30;           /* shift bits & convert to ASCII */
    version[2]=(ver&0x0f)+0x30;
    return(version);
}
