/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EXPMEM.C    - returns the amount of expanded memory (if any)  */

#include <dos.h>
#include "cxlems.h"

unsigned expmem(void)
{
    union REGS regs;

    if(!emsexist()) return(0);          /* see if EMM installed */
    regs.h.ah=0x42;                     /* get unallocated/total EMS pages */
    int86(0x67,&regs,&regs);
    return(regs.x.dx*16);               /* return calculated result */
}
