/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  FREONKEY.C  - frees all active onkey definitions from memory  */

#include <stdlib.h>
#include "cxldef.h"
#include "cxlkey.h"

void freonkey(void)
{
    struct _onkey_t *temp;

    /* free all onkey records in linked list */
    while(_kbinfo.onkey!=NULL) {
        temp=_kbinfo.onkey->prev;
        free(_kbinfo.onkey);
        _kbinfo.onkey=temp;
    }
}
