/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  GETNS.C     - gets a string from the keyboard, limits length  */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include "cxldef.h"
#include "cxlkey.h"
#include "cxlvid.h"

int getns(char *str,int maxchars)
{
    int count=0;
    char *p,ch;

    p=str;
    for(;;) {
        ch=(char)getxch();              /* get character, no echo */
        switch(ch) {
            case 0:                     /* is character extended ASCII code? */
                break;
            case ESC:                   /* is character = Escape? */
                *str='\0';              /* empty receiving string */
                return(1);              /* return with error code */
            case CR:                    /* is character = Enter? */
                *p='\0';                /* add terminating null */
                return(0);              /* return normally */
            case BS:                    /* is character = BackSpace? */
                if(p!=str) {            /* are we at 1st positon of string? */
                    _stdoutch(ch);      /* display destructive backspace */
                    _stdoutch(' ');
                    _stdoutch(ch);
                    p--;                /* decrement string pointer */
                    count--;
                }
                break;
            default:                    /* default is normal character */
                if(count<maxchars) {    /* make sure not at max length */
                    *p++=ch;            /* add character to string */
                    _stdoutch(ch);      /* echo character to screen */
                    count++;
                }
        }
    }
}
