/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  KBMHIT.C    - determines if a key or mouse button was pressed  */

#include <bios.h>
#include <conio.h>
#include <dos.h>
#include "cxldef.h"
#include "cxlkey.h"
#include "cxlmou.h"

#if     defined(M_I86)
#define bioskey(a)  _bios_keybrd(a)
#endif

int kbmhit(void)
{
    int bstat,row,col;           /* mouse variables */

    /* process keyboard handler */
    if(_kbinfo.kbloop!=NULL) (*_kbinfo.kbloop) ();

    /* check for a keypress in CXL's and BIOS's keyboard buffers */
    if( _kbinfo.kbuf!=NULL || kbhit() ) return(YES);

    /* if mouse, get mouse status, if a button was pressed, return YES */
    if(_mouse) {
        msstatus(&bstat,&row,&col);
        if(bstat) return(YES);
    }

    return(NO);
}
