/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  MSCURSOR.C  - sets the mouse cursor mode    */

#include <dos.h>
#include <stdlib.h>
#include "cxlmou.h"

void mscursor(unsigned curtype,unsigned smask,unsigned cmask)
{
    union REGS regs;

    regs.x.ax=10;           /*  MS mouse function 10                         */
    regs.x.bx=curtype;      /*  cursor type (0 = SW, 1 = HW)                 */
    regs.x.cx=smask;        /*  screen mask (SW), or scan start line (HW)    */
    regs.x.dx=cmask;        /*  cursor mask (SW), or scan stop line (HW)     */
    int86(0x33,&regs,&regs);
}
