/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  PRINTS.C    - prints a string at specified location     */

#include <conio.h>
#include <dos.h>
#include <string.h>
#include "cxldef.h"
#include "cxlvid.h"

void prints(int row,int col,int attr,char *str)
{
    register char *q;
    int oldrow,oldcol;
    char far *p;

    /* convert attribute if monochrome adapter */
    attr=mapattr(attr);

    /* calculate video RAM address */
    p=MK_FP(_vinfo.videoseg,((row*_vinfo.numcols)+col)*2);

    /* check for CGA snow reduction */
    if(_vinfo.cgasnow) {
        cgawrstr(p,str,attr);
    }
    else {

        /* save current cursor location */
        if(_vinfo.usebios) readcur(&oldrow,&oldcol);

        /* do while more characters */
        for(q=str;*q;q++) {
            if(_vinfo.usebios) {
                gotoxy_(row,col++);
                putchat(*q,attr);
            }
            else {
                /* write character and attribute */
                *p++=*q;
                *p++=(char)attr;
            }
        }

        /* restore cursor location */
        if(_vinfo.usebios) gotoxy_(oldrow,oldcol);
    }
}
