/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  STRBMATC.C  - finds an array string that best matches given string  */

#include "cxlstr.h"

char *strbmatch(char *str,char *strarr[])
{
    register i,score;
    int bestscore;
    char *best;

    best=strarr[0];
    bestscore=strmatch(str,strarr[0]);

    for(i=1;strarr[i];i++) {
        score=strmatch(str,strarr[i]);
        if(score>=bestscore) {
            bestscore=score;
            best=strarr[i];
        }
    }

    return(best);
}
