/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  STRNICMP.C  - case insensitive string compare, limited to max length */

#if !defined(__ZTC__)
#error  This function is for the Zortech C version of CXL
#endif

#include <stdlib.h>
#include <string.h>

int strnicmp(char *str1,char *str2,int maxlen)
{
    register int ch1,ch2;

    ch1=ch2=0;
    while(maxlen--) {
        if( ((ch1=*str1++)=='\0') || ((ch2=*str2++)=='\0') ) return(0);
        if( (ch1=toupper(ch1)) != (ch2=toupper(ch2)) ) break;
    }
    return(ch1-ch2);
}
