/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  TIMER.C     - returns the value of the BIOS timer   */

#include <dos.h>
#include "cxldef.h"

#if      defined(M_I86) && !defined(__ZTC__)    /*  Microsoft C/QuickC  */
#define  disable()  _disable()
#define  enable()   _enable()
#elif    defined(__ZTC__)                       /*  Zortech C++  */
#include <int.h>
#define  disable()  int_off()
#define  enable()   int_on()
#endif

unsigned long timer(void)
{
    unsigned long value;
    unsigned long far *p;

    p=MK_FP(0x0040,0x006c);
    disable();
    value=*p;
    enable();
    return(value);
}
