/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WAITKEYT.C   - halts execution until a key is pressed or the specified
                   time period has expired                                  */

#include <bios.h>
#include <conio.h>
#include "cxldef.h"
#include "cxlkey.h"

#if         defined(M_I86)
#define     bioskey(a)      _bios_keybrd(a)
#endif

int waitkeyt(int duration)
{
    unsigned long limit;
    unsigned xch;

    limit=timer()+duration;
    clearkeys();
    for(;;) {
        if(kbmhit()) {
            xch=getxch();
            if(_kbinfo.source==2 && xch!=0x1c0d && xch!=0x011b) continue;
            return(xch&0x00ff);
        }
        if(timer()>=limit) return(-1);
    }
}
