/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WCLREOL.C   - clears from cursor postion to end of window's line  */

#include <conio.h>
#include <dos.h>
#include "cxlvid.h"
#include "cxlwin.h"

int wclreol(void)
{
    register int col,stopcol;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* calculate stop column */
    stopcol=_winfo.active->ecol-_winfo.active->border;

    /* clear to end of window's line */
    for(col=_winfo.active->column;col<=stopcol;col++)
        printc(_winfo.active->row,col,_winfo.active->attr,_winfo.fillch);

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
