/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WCLREOS.C   - clears from cursor postion to end of window  */

#include "cxlwin.h"

int wclreos(void)
{
    int wrow,werow,wr,wc;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* save current window row and column */
    wreadcur(&wr,&wc);

    wrow=wr;
    werow=_winfo.active->erow - _winfo.active->srow - _winfo.active->border;
    wclreol();
    wrow++;
    while(wrow<=werow) {
        wgotoxy(wrow,0);
        wclreol();
        wrow++;
    }

    /* restore window row and column */
    wgotoxy(wr,wc);

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
