/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WDUMP.C - dumps active window to the printer  */

#include "cxlprn.h"
#include "cxlwin.h"

int wdump(void)
{
    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* dump window using active window's coordinates */
    windump(_winfo.active->srow+_winfo.active->border,_winfo.active->scol+
            _winfo.active->border,_winfo.active->erow-_winfo.active->border,
            _winfo.active->ecol-_winfo.active->border);

    /* return with no error */
    return(_winfo.errno=W_NOERROR);
}
