/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WFINDREC.C  - returns address of record of given window handle  */

#include "cxlwin.h"

struct _wrec_t *wfindrec(int whandle)
{
    struct _wrec_t *wrec;

    /* scan through linked list for record belonging to requested handle */
    wrec=_winfo.active;
    while(wrec!=NULL) {
        if(whandle==wrec->whandle) break;
        wrec=wrec->prev;
    }

    /* return address of found record */
    return(wrec);
}
