/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WGETC.C - gets a key from the keyboard from within a window  */

#include <conio.h>
#include <ctype.h>
#include <dos.h>
#include "cxlkey.h"
#include "cxlwin.h"

int wgetc(void)
{
    register int ch;

    if(!_winfo.total) {                      /* check for active window */
        _winfo.errno=W_NOACTIVE;
        return(0);
    }
    ch=getxch()&0x00ff;
    if(isprint(ch)) wputc(ch);         /*  echo character to window  */
    _winfo.errno=W_NOERROR;
    return(ch);
}
