/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WINDUMP.C   - dumps a screen window to the printer  */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include "cxldef.h"
#include "cxlprn.h"
#include "cxlvid.h"

void windump(int srow,int scol,int erow,int ecol)
{
    register int crow,ccol;
    int incr;
    char ch;
    char far *p;

    if(!_vinfo.usebios) p=MK_FP(_vinfo.videoseg,(srow*_vinfo.numcols+scol)*2);
    incr=(_vinfo.numcols-ecol+scol-1)*2;
    for(crow=srow;crow<=erow;crow++) {
        for(ccol=scol;ccol<=ecol;ccol++) {
            if(_vinfo.usebios) {
                gotoxy_(crow,ccol);
                ch=(char)readchat();
            }
            else {
                if(_vinfo.cgasnow)
                    ch=cgardbyte(p);
                else
                    ch=*p;
                p++;
                p++;
            }
            lprintc(ch);
        }
        lprintc(LF);
        p=p+incr;
    }
}

