/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WINPKEY.C   - assign alternate keyboard support for input form  */

#include "cxldef.h"
#include "cxlwin.h"

int winpkey(unsigned (*getkey)(int *),unsigned *termkey)
{
    register struct _form_t *form;

    /* abbreviate pointer to current form */
    form=_winfo.active->form;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* check and see if winpbeg() was called */
    if(form==NULL) return(_winfo.errno=W_NOFRMBEG);

    /* update form's record */
    form->getkey  = getkey;
    form->termkey = termkey;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
