/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WINTODIS.C  - copies a window of current screen to a disk file           */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include "cxlvid.h"

int wintodisk(int srow,int scol,int erow,int ecol,char *fname)
{
    register int crow,ccol;
    int incr,chat;
    char far *p;
    FILE *fp;

    /* open output file as binary */
    fp=fopen(fname,"wb");                   
    if(!fp) return(1);

    /* write window coordinates to output file */
    fputc(srow,fp);
    fputc(scol,fp);
    fputc(erow,fp);
    fputc(ecol,fp);

    /* copy window to output file */
    if(!_vinfo.usebios) p=MK_FP(_vinfo.videoseg,(srow*_vinfo.numcols+scol)*2);
    incr=(_vinfo.numcols-ecol+scol-1)*2;
    for(crow=srow;crow<=erow;crow++) {
        for(ccol=scol;ccol<=ecol;ccol++) {
            if(_vinfo.usebios) {
                gotoxy_(crow,ccol);
                chat=readchat();
                fputc((char)chat,fp);
                fputc(chat>>8,fp);
            }
            else {
                fputc(((_vinfo.cgasnow)?cgardbyte(p):*p),fp);
                p++;
                fputc(((_vinfo.cgasnow)?cgardbyte(p):*p),fp);
                p++;
            }
        }
        p=p+incr;
    }

    /* close output file and exit */
    fclose(fp);                             
    return(0);
}

