/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WMENUIBA.C  - adds a before and after function pointer to menu item  */

#include "cxlwin.h"

int wmenuiba(void (*before)(void),void (*after)(void))
{
    /* make sure at least 1 menu item has been defined */
    if(!_winfo.mlevel||_winfo.mlevel>_winfo.ilevel)
        return(_winfo.errno=W_NOITMDEF);

    /* update menu item record */
    _winfo.cmenu->item->before=before;
    _winfo.cmenu->item->after=after;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}

