/*  WMENUIDS.C - disables a menu item  */


#include "cxldef.h"
#include "cxlwin.h"

int wmenuidsab(int tagid)
{
    struct _item_t *item;

    /* check for existance of a menu */
    if(_winfo.cmenu==NULL) return(_winfo.errno=W_NOMNUDEF);

    /* find address of requested menu item */
    if((item=wmenuifind(tagid))==NULL) return(_winfo.errno);

    /* disable menu item by making it nonselectable */
    item->fmask|=M_NOSEL;

    /* set menu item's redisplay flag */
    item->redisp=TRUE;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
