/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WMENUITX.C  - adds a text description to menu item  */

#include "cxldef.h"
#include "cxlvid.h"
#include "cxlwin.h"

int wmenuitxt(int wrow,int wcol,int attr,char *str)
{
    register struct _item_t *citem;

    /* make sure at least 1 menu item has been defined */
    if(!_winfo.mlevel||_winfo.mlevel>_winfo.ilevel)
        return(_winfo.errno=W_NOITMDEF);

    /* add description info to menu record */
    citem=_winfo.cmenu->item;
    citem->dwrow=wrow;
    citem->dwcol=wcol;
    citem->dattr=mapattr(attr);
    citem->desc=str;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}

