/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WMESSAGE.C  - displays text on window's top or bottom border  */

#include <string.h>
#include "cxlvid.h"
#include "cxlwin.h"

int wmessage(char *str,int border,int leftofs,int attr)
{
    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* make sure window has a border */
    if(!_winfo.active->border) return(_winfo.errno=W_NOBORDER);

    /* make sure string fits in window */
    if( (_winfo.active->scol+leftofs+strlen(str)-1) > (_winfo.active->ecol) )
        return(_winfo.errno=W_STRLONG);

    /* display string */
    prints(border?_winfo.active->erow:_winfo.active->srow,
           _winfo.active->scol+leftofs,attr,str);

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
