/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  BOX.C   - displays a text box on the screen  */

#include <dos.h>
#include "cxlvid.h"

void box_(int srow,int scol,int erow,int ecol,int boxtype,int attr)
{
    register int i,j;
    int crow,ccol,wide,tall;
    extern char *_box_table[];

    /* check for monochrome adapter, adjust attribute */
    attr=mapattr(attr);

    /* calculate width and height */
    wide=ecol-scol-1;                   
    tall=erow-srow-1;

    /* display top and bottom horizontal borders */
    ccol=scol+1;
    for(j=0;j<wide;j++,ccol++) {
        printc(srow,ccol,attr,_box_table[boxtype][1]);
        printc(erow,ccol,attr,_box_table[boxtype][6]);
    }

    /* display left and right vertical borders */
    crow=srow+1;
    for(i=0;i<tall;i++,crow++) {
        printc(crow,scol,attr,_box_table[boxtype][3]);
        printc(crow,ecol,attr,_box_table[boxtype][4]);
    }

    /* display corners */
    printc(srow,scol,attr,_box_table[boxtype][0]);
    printc(srow,ecol,attr,_box_table[boxtype][2]);
    printc(erow,scol,attr,_box_table[boxtype][5]);
    printc(erow,ecol,attr,_box_table[boxtype][7]);
}
