/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  BOXTABLE.C  - table of characters used to display boxes */

/*
    Access box table characters via:
        _box_table[boxtype][x]

    where:
        boxtype is the number of the box type you want to use (0 - 5)

        x will be one of the following:
             0 - upper left corner
             1 - upper horizontal line
             2 - upper right corner
             3 - left vertical line
             4 - right vertical line
             5 - lower left corner
             6 - lower horizontal line
             7 - lower right corner
             8 - middle junction
             9 - left vertical junction
            10 - right vertical junction
            11 - upper horizontal junction
            12 - lower horizontal junction
*/


char *_box_table[]=
{
    "Ŀô",    /* box type 0 */
    "ͻͼ̹",    /* box type 1 */
    "ķĽǶ",    /* box type 2 */
    "͸;Ƶ",    /* box type 3 */
    "",    /* box type 4 */
    "             "     /* box type 5 */
};

