/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EMSFRAME.C  -   returns the current EMM frame segment   */

#include <dos.h>
#include "cxlems.h"

unsigned emsframe(void)
{
    union REGS regs;

    regs.h.ah=0x41;                         /* EMM get page frame address */
    int86(0x67,&regs,&regs);
    if(regs.h.ah) return(0);                /* check for EMM error */
    return(regs.x.bx);                      /* return EMS page frame address */
}
