/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  EXTMEM.C    - determines the amount of extended memory  */

#include <dos.h>
#include "cxldef.h"

unsigned extmem(void)
{
    union REGS regs;

    regs.x.ax=0x8800;                    /* get total extended memory */
    regs.x.bx=0x8800;
    regs.x.cx=0x8800;
    regs.x.dx=0x8800;
    int86(0x15,&regs,&regs);
    return((regs.x.dx<<8)+regs.x.ax);
}
