/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  FILL.C  - fills an area of screen with a character & attribute  */

#include <conio.h>
#include <dos.h>
#include "cxlvid.h"

void fill_(int srow,int scol,int erow,int ecol,int ch,int attr)
{
    register int crow,ccol;
    int incr,width,chat;
    union REGS regs;
    int far *p;

    /* check for monochrome adapter, adjust attribute */
    attr=mapattr(attr);

    /* check for video BIOS screen writes */
    if(_vinfo.usebios) {

        /* calculate width of area to fill */
        width=ecol-scol+1;
        for(crow=srow;crow<=erow;crow++) {
            gotoxy_(crow,scol);

            /* call video BIOS function 9 (write character/attribute) */
            regs.h.al=(unsigned char)ch;
            regs.h.bl=(unsigned char)attr;
            regs.h.bh=0;
            regs.x.cx=width;
            regs.h.ah=9;
            int86(0x10,&regs,&regs);
        }
    }
    else {

        /* calculate video RAM address */
        p=MK_FP(_vinfo.videoseg,(srow*_vinfo.numcols+scol)*2);
        incr=(_vinfo.numcols-ecol+scol-1);
        for(crow=srow;crow<=erow;crow++) {
            for(ccol=scol;ccol<=ecol;ccol++) {
                chat=(attr<<8)|(ch&0x00ff);
                if(_vinfo.cgasnow)
                    cgawrword(p,chat);
                else
                    *p=chat;
                p++;
            }
            p=p+incr;
        }
    }
}

char _cxl_id[]=" -> CXL <- ";

