/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  GETCHF.C    - gets a character from the keyboard from a valid list  */

#include <ctype.h>
#include "cxldef.h"
#include "cxlkey.h"
#include "cxlvid.h"

int getchf(char *valid,int defchar)
{
    register int i;
    int ch;

    for(;;) {
        ch=getxch()&0x00ff;             /* get character, no echo */
        ch=toupper(ch);
        if(ch==ESC) return(0);          /* see if character is Escape key */
        if(ch==CR&&defchar) {
            ch=toupper(defchar);
            goto dispchar;
        }
        for(i=0;valid[i];i++) {         /* search validity string for char */
            if(ch==toupper(valid[i])) {
dispchar:
                _stdoutch(ch);
                return(ch);
            }
        }
    }
}
