/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  HIDECUR.C   - hidecur() hides the cursor
                  showcur() reveals the cursor  */

#include "cxlvid.h"

static int sline=6,eline=7;

void hidecur(void)
{
    int sl,el;

    getcursz(&sl,&el);
    if(!(sl&48)) {
        sline=sl;
        eline=el;
        setcursz((_vinfo.adapter>=V_HGC&&_vinfo.adapter<=V_INCOLOR)?63:48,0);
    }
}

void showcur(void)
{
    int sl,el;

    getcursz(&sl,&el);
    if(sl&48) setcursz(sline,eline);
}

