/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  LGCURSOR.C  - sets a large cursor  */

#include <conio.h>
#include <dos.h>
#include "cxlvid.h"

#if     defined(M_I86)
#define outport(a,b)    outpw(a,b)
#endif

void lgcursor(void)
{
    int far *p;

    showcur();
    switch(_vinfo.adapter) {
        case V_CGA:
            setcursz(1,7);
            break;
        case V_EGA:
            if(_vinfo.numrows==25) {
                setcursz(1,7);
            }
            else {
                p=MK_FP(0x40,0x63);         /*  video BIOS data area  */
                outport(*p,0x000a);         /*  update cursor start register  */
                outport(*p,0x0a0b);         /*  update cursor end register  */
            }
            break;
        case V_VGA:
            setcursz(1,7);
            break;
        default:    /* one of the monochrome cards */
            setcursz(1,12);
    }
}
