/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  LPRINTF.C   - outputs a formatted string to the printer     */

#include <stdarg.h>
#include <stdio.h>
#include "cxlprn.h"

#define     MAXCHARS    255

void lprintf(const char *format,...)
{
    va_list argptr;
    char buf[MAXCHARS];

    va_start(argptr,format);            /* access argument list */
                                        /* create string using supplied
                                           format and argument list     */
    vsprintf(buf,format,argptr);
    va_end(argptr);                     /* end access of argument list */

    lprints(buf);                       /* print the created string */
}
