/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  MAPATTR.C  - converts an attribute to monochrome equivalent  */

#include "cxldef.h"
#include "cxlvid.h"

int mapattr(int attr)
{
    if(_vinfo.mapattr) {            /* if monochrome mapping is on */
        switch(attr&112) {          /* test for a light background */
            case _LGREY:
            case _GREEN:
            case _CYAN:
            case _BROWN:
                attr=attr&240;      /* foreground = black */
                attr=attr|112;      /* background = light grey */
                break;
            default:
                if((attr&15)==8)    /* if foreground = dark grey */
                    attr=attr&247;  /* clear intensity bit */
                attr=attr|7;        /* foreground = light grey */
                attr=attr&143;      /* background = black */
        }
    }
    return(attr);                   /* return converted attribute */
}
