/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  MSINIT.C    - determines if mouse is installed/initializes mouse    */

#include <dos.h>
#include <stdlib.h>
#include "cxlmou.h"

int msinit(void)
{
    union REGS regs;
    struct SREGS sregs;

    if(_osmajor<2) return(0);       /*  check DOS version  */
    if(_osmajor<3) {
        regs.h.ah=0x35;             /*  get mouse interrupt vector  */
        regs.h.al=0x33;
        int86x(0x21,&regs,&regs,&sregs);
                                    /*  see if vector not installed  */
        if( !sregs.es && !regs.x.bx) return(0);
    }
    regs.x.ax=0;                    /*  MS mouse function 0 - initialize  */
    int86(0x33,&regs,&regs);
    if(regs.x.ax) _mouse=MS_KEYS;
    return(regs.x.ax);
}

