/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  PRINTC.C    - displays a character at specified location on screen   */

#include <conio.h>
#include <dos.h>
#include "cxlvid.h"

void printc(int row,int col,int attr,int ch)
{
    int far *p;
    int chat,oldrow,oldcol;

    /* check for monochrome adapter, adjust attribute */
    attr=mapattr(attr);

    /* check for video BIOS screen writes */
    if(_vinfo.usebios) {
        readcur(&oldrow,&oldcol);
        gotoxy_(row,col);
        putchat(ch,attr);
        gotoxy_(oldrow,oldcol);
    }
    else {
        /* calculate video buffer offset and write character/attribute */
        p=MK_FP(_vinfo.videoseg,((row*_vinfo.numcols)+col)*2);
        chat=(attr<<8)|(ch&0x00ff);
        if(_vinfo.cgasnow)
            cgawrword(p,chat);
        else
            *p=chat;
    }
}
