/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  SCRNTODI.C  - copies contents of current screen to a disk file  */

#include <conio.h>
#include <dos.h>
#include <stdio.h>
#include "cxlvid.h"

#define SSIZE   (_vinfo.numrows*_vinfo.numcols)

int scrntodisk(char *fname)
{
    register int i,ccol;
    int crow,chat;
    int far *p;
    FILE *fp;

    if(_vinfo.usebios) {
        crow=0;
        ccol=0;
    }
    else {
        /* calculate video RAM starting address */
        p=MK_FP(_vinfo.videoseg,0);
    }

    /* open output file as binary */
    fp=fopen(fname,"wb");                   
    if(!fp) return(1);

    /* copy screen to output file */
    for(i=0;i<SSIZE;i++) {
        if(_vinfo.usebios) {
            gotoxy_(crow,ccol);
            chat=readchat();
            fputc((char)chat,fp);
            fputc(chat>>8,fp);
            ccol++;
            if(ccol>=_vinfo.numcols) {
                crow++;
                ccol=0;
            }
        }
        else {
            if(_vinfo.cgasnow)
                chat=cgardword(p);
            else
                chat=*p;
            fputc((char)chat,fp);
            fputc(chat>>8,fp);
            p++;
        }
    }

    /* close output file and exit */
    fclose(fp);                             
    return(0);
}

