/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  SOUND.C     - sounds a tone in the speaker  */

#include <conio.h>
#include <dos.h>
#include "cxldef.h"

#if     defined(M_I86)
#define inportb(a)      inp(a)
#define outportb(a,b)   outp(a,b)
#endif

void sound_(unsigned pitch,unsigned duration)
{
    register int spkstat;

    outportb(0x43,0xb6);            /*  initialize Timer 2 port              */
    outportb(0x42,pitch&0x00ff);    /*  output low byte of pitch to Timer 2  */
    outportb(0x42,pitch>>8);        /*  output high byte of pitch            */
    spkstat=inportb(0x61);          /*  get status of speaker                */
    outportb(0x61,spkstat|3);       /*  turn on speaker                      */
    delay_(duration);               /*  delay for specified duration         */
    outportb(0x61,spkstat);         /*  turn off speaker                     */
}
