/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  STRMATCH.C  - compares 2 strings and returns a score    */

#include <string.h>
#include "cxlstr.h"

int strmatch(char *str1,char *str2)
{
    register int i,j;
    unsigned int score=0;
    int len1,len2,small,large,k;
    char *smallest,*largest;

    len1=strlen(str1);              /* get length of both strings */
    len2=strlen(str2);

    if(len1<len2) {                 /* determine which is largest */
        smallest=str1;
        small=len1;
        largest=str2;
        large=len2;
    }
    else {
        smallest=str2;
        small=len2;
        largest=str1;
        large=len1;
    }

    for(k=1;k<=small;k++) {
        for(j=0;j<large;j++) {
           for(i=0;i<large;i++) {
                if((i+k)>large||(j+k)>small) {

                }
                else {
                    if(!strnicmp(largest+i,smallest+j,k)) {
                        score++;    /* increment score for character match */
                    }
                }
            }
        }
                                    /* increment score for position match */
        if(*(largest+k-1)==*(smallest+k-1)) score++;
    }


    score=score-((large-small));    /* decrement score for length diff */


    return(score);                  /* return the score */
}
