/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  STRRJUST.C  - right justifies a string  */

#include <ctype.h>
#include "cxlstr.h"

char *strrjust(char *str)
{
    char *p,*q;

    for(p=str;*p;p++);                  /* find end of string */
    p--;
    for(q=p;isspace(*q)&&q>=str;q--);   /* find last non-space character */
    if(p!=q) {
        while(q>=str) {
            *p--=*q;
            *q--=' ';
        }
    }
    return(str);
}
