/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  VINFO.C     - contains video information record  */

#include "cxldef.h"
#include "cxlvid.h"

struct _vinfo_t _Near _Cdecl _vinfo=
{
    0xb800,  /* video buffer segment address */
    V_CGA,   /* video adapter type           */
    25,      /* number of displayed rows     */
    80,      /* number of displayed columns  */
    8,       /* character height in pixels   */
    8,       /* character width  in pixels   */
    NO,      /* is it a monochrome adapter?  */
    NO,      /* map color attribs to mono?   */
    NO,      /* is CGA snow present?         */
    NO,      /* use BIOS for video writes?   */
    YES,     /* check for DESQview?          */
    NO       /* is DESQview present?         */
};
