/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WBOX.C  - displays a text box inside active window  */

#include "cxlvid.h"
#include "cxlwin.h"

int wbox(int wsrow,int wscol,int werow,int wecol,int btype,int attr)
{
    register int border;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* check for valid coordinates */
    if(wchkbox(wsrow,wscol,werow,wecol)) return(_winfo.errno=W_INVCOORD);

    /* check for window border */
    border=_winfo.active->border;

    /* display the text box */
    box_(_winfo.active->srow+wsrow+border,_winfo.active->scol+wscol+border,
         _winfo.active->srow+werow+border,_winfo.active->scol+wecol+border,
         btype,attr);

    /* return with no error */
    return(_winfo.errno=W_NOERROR);
}
