/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WCCLEAR.C    - clears the active window in specified attribute  */

#include "cxlvid.h"
#include "cxlwin.h"

int wcclear(int attr)
{
    register int border;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* check for window border */
    border=_winfo.active->border;

    fill_(_winfo.active->srow+border,_winfo.active->scol+border,
          _winfo.active->erow-border,_winfo.active->ecol-border,
          _winfo.fillch,attr);

    wgotoxy(0,0);                       /* home the cursor */

    return(_winfo.errno=W_NOERROR);
}
