/*  CXL - Copyright (c) 1987-1990 by Mike Smedley - All Rights Reserved  */
/*  WERRMSG.C   - returns an error message from the last windowing function  */

#include "cxlwin.h"

char *werrmsg(void)
{
    static char *werr[] = {
        "No error",
        "Escape key was pressed",
        "Memory allocation error",
        "Record not found",
        "No active window",
        "Invalid coordinates",
        "Invalid format string",
        "No input fields defined",
        "String is too long",
        "Invalid box type",
        "Window has no border",
        "No hidden windows",
        "Window is not hidden",
        "No selectable menu items",
        "No menu items defined",
        "No end of menu specified",
        "No menu defined",
        "No begin of menu specified",
        "No form defined",
        "No begin of form specified",
        "No help record defined",
        "Help stack overflow",
        "Help stack underflow",
        "DOS error",
        "No files matched filespec",
        "Invalid tag identifier",
        "Path invalid or not found"
    };
    return(werr[_winfo.errno]);
}
