/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WGETS.C     - gets a string from the keyboard within active window  */

#include <ctype.h>
#include "cxldef.h"
#include "cxlwin.h"

int wgets(char *str)
{
    int ch;
    char *p;

    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);
    for(p=str;;) {
        ch=wgetc();
        if(ch==CR) {
            wputc(LF);      /*  display '\n'  */
            *p='\0';        /*  add terminating null  */
            break;
        }
        else {
            if(ch==BS) {
                if(p!=str) {
                    wputc(ch);
                    wputc(' ');
                    wputc(ch);
                }
                p--;
            }
            else {
                if(isprint(ch)) *p++=ch;
            }
        }
    }
    return(_winfo.errno=W_NOERROR);
}
