/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WGETYN.C - gets a yes or no response from the keyboard  */

#include <ctype.h>
#include "cxlwin.h"

int wgetyn(int cdefault)
{
    register int ch;

    /* check for active window */
    if(!_winfo.total) {
        _winfo.errno=W_NOACTIVE;
        return(0);
    }

    /* get keystroke limiting choices to 'Y' or 'N' */
    ch=wgetchf("YyNn",cdefault?'Y':'N');

    /* convert got character to uppercase */
    ch=toupper(ch);

    /* display "Yes", "No ", or "   " based upon selection */
    switch(ch) {
        case 'N':
            wputs("\bNo ");
            break;
        case 'Y':
            wputs("\bYes");
            break;
        default:
            wputs("\b   ");
    }

    /* return normally */
    _winfo.errno=W_NOERROR;
    return(ch);
}
