/*  WMENUIEN.C - enables a menu item     */

#include "cxldef.h"
#include "cxlwin.h"

int wmenuienab(int tagid)
{
    struct _item_t *item;

    /* check for existance of a menu */
    if(_winfo.cmenu==NULL) return(_winfo.errno=W_NOMNUDEF);

    /* find address of requested menu item */
    if((item=wmenuifind(tagid))==NULL) return(_winfo.errno);

    /* enable menu item by making it selectable */
    item->fmask&=(~M_NOSEL);

    /* set menu item's redisplay flag */
    item->redisp=TRUE;

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}
