/*  CXL - Copyright (c) 1987-1989 by Mike Smedley - All Rights Reserved  */
/*  WPGOTOXY.C  - sets pseudo window coordinates by wrapping around */

#include "cxlwin.h"

int wpgotoxy(int wrow,int wcol)
{
    register int wwidth;

    /* check for active window */
    if(!_winfo.total) return(_winfo.errno=W_NOACTIVE);

    /* calculate width of window */
    wwidth=_winfo.active->ecol-_winfo.active->scol;

    /* keep resetting cursor until valid */
    while(wgotoxy(wrow,wcol)) {         
        wcol=wcol-wwidth+1;
        wrow++;

        /* check for invalid coordinates */
        if(wrow>(_winfo.active->erow-_winfo.active->border))
            return(_winfo.errno=W_INVCOORD);
    }

    /* return normally */
    return(_winfo.errno=W_NOERROR);
}

